# Ansible Role for Matrix-Synapse Homeserver

Ansible Role to install a matrix-synapse homeeserver

Requires/includes ansible-role-postgresql from https://gogs.digital-infinity.de/DigitalInfinity/ansible-role-postgresql

Variables:
* matrix_synapse_hostname: Hostname of the matrix-Server
* matrix_synapse_postgresql_database: Name of postgresql database
* matrix_synapse_postgresql_hostname: Hostname to postgresql server
* matrix_synapse_postgresql_username: Postgresql username
* matrix_synapse_postgresql_password: and password
* matrix_synapse_turn_server: DNS-name of turn server
* matrix_synapse_turn_shared_secret: Shared secret of turnserver
* matrix_synapse_email_smtp_host: SMTP-Host
* matrix_synapse_email_smtp_port: SMTP-Port
* matrix_synapse_email_smtp_user: SMTP-User
* matrix_synapse_email_smtp_pass: SMTP-Password
* matrix_synapse_email_notif_from: From-Text like "Your name <email@domain.tld>"
* matrix_synapse_email_require_transport_security: true or false
* matrix_synapse_listeners_bind_addresses: ['::1', '127.0.0.1', 'PUBLIC_IP_HERE']
* matrix_synapse_registration_shared_secret: string for registration shared secret to add users via command line
* matrix_synapse_registration_enabled: true or false; enables or disables user registration

Variables have no default and role will fail if any of these not set.

This role does not care about reverse-proxy-stuff.
See matrix-synapse manual.

